package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.DescpSupported;
import com.ekexiu.portal.basepo.LogicDict;

@Uniques(@Unique(clolumns = { "dictCode","caption" }, name = "DATA_DICT_NAME_UQ"))
@PrimaryKey({"code","dictCode"})
@Table
public class DataDict extends LogicDict implements DescpSupported {
	
	private String dictCode;

	private String descp;
	
	@Column(DE.dictCode)
	public String getDictCode() {
		return dictCode;
	}
	public void setDictCode(String dictCode) {
		this.dictCode = dictCode;
	}
	@Override
	public String getDescp() {
		return this.descp;
	}
	@Override
	public void setDescp(String descp) {
		this.descp = descp;		
	}
}
